Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#221 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 11 September 2007 - 01:59 PM

Xin lisp có nội dung như sau:
khi chạy lisp hỏi :
chọn 1 line
nhập bán kính đường tròn (có thể pick 2 điểm trên màn hình nếu không nhập số)
Chương trình sẽ vẽ 1 circle bán kính như vừa nhập vuông góc với line
(line đâm xuyên qua tâm đường tròn và vuông góc với mặt phẳng circle)
(line là bất kỳ trong không gian)
thanks !


Lệnh là TRON
(defun c:tron()
(setq r (getdist "\nNhap ban kinh duong tron: "))
(command ".ucs" "za" "o" (entsel "\nVao doan line: "))
(command ".circle" "0,0,0" r)
(command ".ucs" "p")
)

  • 0

#222 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 11 September 2007 - 02:40 PM


(defun C:dcl ( )
(setvar "MODEMACRO" "VE NAT CAT LUNG")
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(if (null kieudau)(setq kieudau "Z"))
(if (null dolondaucatt)(setq dolondaucatt "100"))
(Setq temp T)
(While temp
(setq a (strcat "\nKieu dau hien hanh la("kieudau")/ Do lon dau cat (" dolondaucatt ") : "))
(Initget "k K d D")
(setq str (getpoint a))
(Cond
((= str "K") (setq kieudau (strcase (getstring 5"\nKieu dau cat < Z hay S hay N > : "))))
((= str "k") (setq kieudau (strcase (getstring 5"\nKieu dau cat < Z hay S hay N > : "))))
((= str "d") (setq dolondaucatt (getstring (strcat"\nDo lon mui ten <" dolondaucatt "> :"))))
((= str "D") (setq dolondaucatt (getstring (strcat"\nDo lon mui ten <" dolondaucatt "> :"))))
(Progn
(Setq a str)
(setq temp nil)
)
)
)
(setq b (getpoint a"\nDiem thu hai: "))
(luuos)
(setvar "osmode" 0)

(setq dolondaucat (atof dolondaucatt))
(setq daitong (distance a :unsure:)
(setq daitru (- daitong dolondaucat))
(setq dainua (/ daitru 2))
(setq daicong (+ dainua dolondaucat))
(setq goc(angle a :unsure:)
(setq c (polar a goc dainua))
(setq d (polar a goc daicong))
(setq ngannua (/ dolondaucat 2))
(setq nganmot (/ dolondaucat 4))
(setq nganba (* nganmot 3))
(setq gocp (- goc (/ pi 2)))
(setq e (polar c gocp ngannua))
(setq goct (+ goc (/ pi 2)))
(setq f (polar d goct ngannua))
(setq g (polar a goc (/ daitong 2)))
(setq h (polar g goct dolondaucat))
(setq i (polar g gocp dolondaucat))
(setq k (polar c goc nganmot))
(setq l (polar k goct ngannua))
(setq m (polar c goc nganba))
(setq n (polar m gocp ngannua))
(Cond
((= "Z" kieudau)
(command ".Pline" a c e f d b "")
(COMMAND ".PEDIT" "last" "W" "0" "")
)
((= "N" kieudau)
(command ".Pline" a c h i d b "")
(COMMAND ".PEDIT" "last" "W" "0" "")
)
((= "S" kieudau)
(command ".Pline" a c "a" "s" l g "s" n d "l" b "")
(COMMAND ".PEDIT" "last" "W" "0" "")
)
)
(setvar "MODEMACRO" "**CHUC BAN LAM VIEC HIEU QUA** PHAM QUOC DUY - BINH SON - QUANG NGAI")
(traos)

(Prin I)
)

Có vẻ bác Hoành bận rộn quá! Cao thu nào giúp mình chỉnh đoạn lisp nay với. cám ơn

Bạn xem lại mã lệnh!
Tập mã lệnh hiện đang thiếu dấu ")"
  • 0

#223 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 12 September 2007 - 07:54 AM

Bạn xem lại mã lệnh!
Tập mã lệnh hiện đang thiếu dấu ")"


À xin lổi không thiếu dấu ")" chắc là thiếu cái này:


;;----------
(defun luuos ()
(setq
DUY_OSMODE (getvar "OSMODE")
DUY_AUTOSNAP (getvar "AUTOSNAP")
DUY_LAYERHH (getvar "CLAYER")
DUY_THANGXEOHH (getvar "ORTHO")
DUY_filletrad (getvar "FILLETRAD")
DUY_TEXTSTYLE (getvar "TEXTSTYLE")
)
)
(defun traos ()
(if DUY_OSMODE
(setvar "OSMODE" DUY_OSMODE)
)
(if DUY_LAYERHH
(setvar "CLAYER" DUY_LAYERHH)
)
(if DUY_THANGXEOHH
(setvar "ORTHO" DUY_THANGXEOHH)
)
(if DUY_AUTOSNAP
(setvar "AUTOSNAP" DUY_AUTOSNAP)
)
(if DUY_filletrad
(setvar "FILLETRAD" DUY_filletrad)
)
(if DUY_TEXTSTYLE
(setvar "TEXTSTYLE" DUY_TEXTSTYLE)
)


)

  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#224 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 12 September 2007 - 09:49 AM

Lệnh là TRON

(defun c:tron()
(setq r (getdist "\nNhap ban kinh duong tron: "))
(command ".ucs" "za" "o" (entsel "\nVao doan line: "))
(command ".circle" "0,0,0" r)
(command ".ucs" "p")
)


lisp không chạy bác à (em đã sửa số "0" bác viết nhầm là chữ "o" ở gần "za")
Command: tron
Nhap ban kinh duong tron: Specify second point: .ucs
Current ucs name: *WORLD*
Enter an option [New/Move/orthoGraphic/Prev/Restore/Save/Del/Apply/?/World]
<World>: za
Specify new origin point <0,0,0>: 0
Specify point on positive portion of Z-axis <5.4410,4.0135,1.0000>:
Vao doan line:
Invalid point.
; error: Function cancelled
Specify point on positive portion of Z-axis <5.4410,4.0135,1.0000>: *Cancel*
  • 0

#225 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 12 September 2007 - 09:56 AM

À xin lổi không thiếu dấu ")" chắc là thiếu cái này:

Nối thử đoạn mã này với đoạn mã trước thấy vẫn sai.
Bạn hãy copy y nguyên đoạn mã hoàn chỉnh chạy đúng ở máy bạn lên diễn đàn.
Như thế này chẳng biết mã của bạn đang viết gì nữa.
  • 0

#226 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 12 September 2007 - 10:18 AM

Nối thử đoạn mã này với đoạn mã trước thấy vẫn sai.
Bạn hãy copy y nguyên đoạn mã hoàn chỉnh chạy đúng ở máy bạn lên diễn đàn.
Như thế này chẳng biết mã của bạn đang viết gì nữa.

Đây gửi file lisp luôn nhờ bác xem hộ!
http://www.cadviet.com/upfiles/tienichveht.lsp
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#227 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 12 September 2007 - 11:25 AM

Đây gửi file lisp luôn nhờ bác xem hộ!
http://www.cadviet.com/upfiles/tienichveht.lsp

Tôi sửa dòng lệnh
(setq dolondaucatt (getstring (strcat"\nDo lon mui ten <" dolondaucatt "> :")))
thành:
(setq tmp (getstring (strcat"\nDo lon mui ten <" dolondaucatt "> :")))

Và thêm dòng lệnh
(if (/= tmp "") (setq dolondaucatt tmp))

Có 2 dòng lệnh của bạn bị thừa (tôi đã cho dấu chấm phẩy ở trước). Sở dĩ thừa do bạn thừa từ hàm Initget (tôi cũng đã sửa lại).

Đoạn mã trở thành:

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;
(Defun C:dcl ( )
(DCL))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;
(defun dcl ( )
(setvar "MODEMACRO" "VE NAT CAT LUNG")
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(if (null kieudau)(setq kieudau "Z"))
(if (null dolondaucatt)(setq dolondaucatt "100"))
(Setq temp T)
(While temp
(setq a (strcat "\nKieu dau hien hanh la("kieudau")/ Do lon dau cat (" dolondaucatt ") : "))
(Initget "K D")
(setq str (getpoint a))
(Cond
((= str "K") (setq kieudau (strcase (getstring 5"\nKieu dau cat < Z hay S hay N > : "))))
;((= str "k") (setq kieudau (strcase (getstring 5"\nKieu dau cat < Z hay S hay N > : "))))
;((= str "d") (setq dolondaucatt (getstring (strcat"\nDo lon mui ten <" dolondaucatt "> :"))))
((= str "D") (setq tmp (getstring (strcat"\nDo lon mui ten <" dolondaucatt "> :"))))

(Progn
(Setq a str)
(setq temp nil)
)
)
(if (/= tmp "") (setq dolondaucatt tmp))
)
(setq b (getpoint a"\nDiem thu hai: "))


(luuos)
(setvar "osmode" 0)

(setq dolondaucat (atof dolondaucatt))
(setq daitong (distance a :unsure:)
(setq daitru (- daitong dolondaucat))
(setq dainua (/ daitru 2))
(setq daicong (+ dainua dolondaucat))
(setq goc(angle a :unsure:)
(setq c (polar a goc dainua))
(setq d (polar a goc daicong))
(setq ngannua (/ dolondaucat 2))
(setq nganmot (/ dolondaucat 4))
(setq nganba (* nganmot 3))
(setq gocp (- goc (/ pi 2)))
(setq e (polar c gocp ngannua))
(setq goct (+ goc (/ pi 2)))
(setq f (polar d goct ngannua))
(setq g (polar a goc (/ daitong 2)))
(setq h (polar g goct dolondaucat))
(setq i (polar g gocp dolondaucat))
(setq k (polar c goc nganmot))
(setq l (polar k goct ngannua))
(setq m (polar c goc nganba))
(setq n (polar m gocp ngannua))


(Cond
((= "Z" kieudau)
(command ".Pline" a c e f d b "")
(COMMAND ".PEDIT" "last" "W" "0" "")
)
((= "N" kieudau)
(command ".Pline" a c h i d b "")
(COMMAND ".PEDIT" "last" "W" "0" "")
)
((= "S" kieudau)
(command ".Pline" a c "a" "s" l g "s" n d "l" b "")
(COMMAND ".PEDIT" "last" "W" "0" "")
)
)


(setvar "MODEMACRO" "**CHUC BAN LAM VIEC HIEU QUA** PHAM QUOC DUY - BINH SON - QUANG NGAI")
(traos)



(Prin I)
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;----------
(defun luuos ()
(setq
DUY_OSMODE (getvar "OSMODE")
DUY_AUTOSNAP (getvar "AUTOSNAP")
DUY_LAYERHH (getvar "CLAYER")
DUY_THANGXEOHH (getvar "ORTHO")
DUY_filletrad (getvar "FILLETRAD")
DUY_TEXTSTYLE (getvar "TEXTSTYLE")
)
)
(defun traos ()
(if DUY_OSMODE
(setvar "OSMODE" DUY_OSMODE)
)
(if DUY_LAYERHH
(setvar "CLAYER" DUY_LAYERHH)
)
(if DUY_THANGXEOHH
(setvar "ORTHO" DUY_THANGXEOHH)
)
(if DUY_AUTOSNAP
(setvar "AUTOSNAP" DUY_AUTOSNAP)
)
(if DUY_filletrad
(setvar "FILLETRAD" DUY_filletrad)
)
(if DUY_TEXTSTYLE
(setvar "TEXTSTYLE" DUY_TEXTSTYLE)
)


)
;;----------

  • 0

#228 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 12 September 2007 - 01:47 PM

Tôi sửa dòng lệnh
(setq dolondaucatt (getstring (strcat"\nDo lon mui ten <" dolondaucatt "> :")))
thành:
(setq tmp (getstring (strcat"\nDo lon mui ten <" dolondaucatt "> :")))

Và thêm dòng lệnh
(if (/= tmp "") (setq dolondaucatt tmp))

Có 2 dòng lệnh của bạn bị thừa (tôi đã cho dấu chấm phẩy ở trước). Sở dĩ thừa do bạn thừa từ hàm Initget (tôi cũng đã sửa lại).


Cám ơn bác nhìu !
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#229 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 14 September 2007 - 03:04 PM

Xin lisp move đối tượng khi nhập khoảng cách:
Các bác ơi mình đang cần 1 lisp có nội dung như sau:
chạy lisp hỏi chọn đối tượng, nhập khoảng cách move theo trục Z(có thể nhập 2 điểm trên màn hình)
CT sẽ move đối tượng lên theo trục Z với khoảng cách vừa nhập.
thanks các bác!
  • 0

#230 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 15 September 2007 - 05:29 AM

Xin lisp move đối tượng khi nhập khoảng cách:
Các bác ơi mình đang cần 1 lisp có nội dung như sau:
chạy lisp hỏi chọn đối tượng, nhập khoảng cách move theo trục Z(có thể nhập 2 điểm trên màn hình)
CT sẽ move đối tượng lên theo trục Z với khoảng cách vừa nhập.
thanks các bác!

Bạn tự viết đi! Từ những đoạn mã lệnh tương tự mà tôi đã viết rất nhiều trên mục này.
Biết rằng: hàm (getdist) sẽ cho phép nhập vào một khoảng cách.
  • 0

#231 congtrinh5

congtrinh5

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 September 2007 - 10:53 AM

Các anh ơi cho em xin lisp etrude đối tượng lên theo hướng vuông góc mặt phẳng XY
(bình thường là extrude lên theo hướng vuông góc với mặt phẳng đối tượng)
thanks!
  • 0

#232 tuanpecc1

tuanpecc1

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 September 2007 - 10:49 AM

Mình đang thiết kế bản vẽ trên bình đồ có các đường đồng mức là pline (ở các cao độ khác nhau). Mình muốn xin 1 lisp mà có thể break các điểm đầu của đường đồng mức cùng một lúc trong phạm vi giới hạn bởi 1 đường pline bất kỳ khác. Mình biết trên diễn đàn đã có lisp break tại một điểm (lệnh bf) nhưng phải làm từng đối tượng thì rất lâu. Xin các cao thủ giúp đỡ mình với. thx
  • 0

#233 tuanpecc1

tuanpecc1

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 September 2007 - 10:51 AM

Mình đang thiết kế bản vẽ trên bình đồ có các đường đồng mức là pline (ở các cao độ khác nhau). Mình muốn xin 1 lisp mà có thể break các điểm đầu của đường đồng mức cùng một lúc trong phạm vi giới hạn bởi 1 đường pline bất kỳ khác. Mình biết trên diễn đàn đã có lisp break tại một điểm (lệnh bf) nhưng phải làm từng đối tượng thì rất lâu. Xin các cao thủ giúp đỡ mình với. thx
  • 0

#234 pdhuy

pdhuy

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 September 2007 - 07:19 AM

Bạn dùng lệnh trong cad cũng được : kẻ 1 pline sau đó trim, bấm chuột phải xong bấm f thế là xong.
  • 0

#235 tvduc

tvduc

    biết vẽ line

  • Members
  • PipPip
  • 22 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2007 - 08:01 AM

các Bác "List" lơi! Bác có thể viết giùm tôi một list để vẽ một đường thẳng mà điểm bắt đầu là trọng tâm của một hình nào đó được không.
hay Bác có thể tách ra luôn.
01 Vẽ một điểm tại trọng tâm của hình đó.
02 Vẽ đường thẳng mà điểm xuất phát từ trọng tâm hình đó.
Cảm ơn Bác "List" nhiều.
  • 0

#236 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 25 October 2007 - 08:07 AM

các Bác "List" lơi! Bác có thể viết giùm tôi một list để vẽ một đường thẳng mà điểm bắt đầu là trọng tâm của một hình nào đó được không.
hay Bác có thể tách ra luôn.
01 Vẽ một điểm tại trọng tâm của hình đó.
02 Vẽ đường thẳng mà điểm xuất phát từ trọng tâm hình đó.
Cảm ơn Bác "List" nhiều.

http://www.cadviet.com/forum/index.php?showtopic=1694
bạn xem ở đây!
  • 0

#237 tvduc

tvduc

    biết vẽ line

  • Members
  • PipPip
  • 22 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2007 - 09:22 AM

http://www.cadviet.com/forum/index.php?showtopic=1694
bạn xem ở đây!


Cam on Bac Hoang rat rat nhieu!
À bac Hoang ơi cho toi hoi luon cau nay nhe.
trong Layout neu thao tac tren do chung ta tat di mot lop nao do roi, muon cho hien thi lai thi lam nhu the nao cho nhanh toi cung lenh Layon vẫn không đươc ma phai vao layers phai bở đi thuộc tính Freeze moi được, nhưng thao tác the nào lâu quá Bác à, bac co cach nao nhanh hon không?
  • 0

#238 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 25 October 2007 - 09:34 AM

Cam on Bac Hoang rat rat nhieu!
À bac Hoang ơi cho toi hoi luon cau nay nhe.
trong Layout neu thao tac tren do chung ta tat di mot lop nao do roi, muon cho hien thi lai thi lam nhu the nao cho nhanh toi cung lenh Layon vẫn không đươc ma phai vao layers phai bở đi thuộc tính Freeze moi được, nhưng thao tác the nào lâu quá Bác à, bac co cach nao nhanh hon không?

ở đây không trả lời câu hỏi về CAD bạn ạ.
Bạn hãy post câu hỏi vào mục câu hỏi thường gặp.
bạn phải post tiếng Việt có dấu!
  • 0

#239 congtrinh5

congtrinh5

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2007 - 10:24 AM

tìm lisp modify lype type scale có nội dung sau:
trên màn hình em có 1 đường đứt (LT dạng hidden chẳng hạn)
chạy lisp hỏi chọn đường , nhập tỉ lệ lype type scale mới.
(chú ý: không giống lệnh LTS vì lệnh này ảnh hưởng đến toàn bộ các đường).
các bác giúp em nha?!!
  • 0

#240 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 25 October 2007 - 10:48 AM

tìm lisp modify lype type scale có nội dung sau:
trên màn hình em có 1 đường đứt (LT dạng hidden chẳng hạn)
chạy lisp hỏi chọn đường , nhập tỉ lệ lype type scale mới.
(chú ý: không giống lệnh LTS vì lệnh này ảnh hưởng đến toàn bộ các đường).
các bác giúp em nha?!!

Lệnh là SLT:
(defun c:slt()
(command ".chprop" (ssget) "" "ltScale" pause "")(princ)
)
  • 0